## Supported APIs

The available Prisma Client APIs are Those that are not yet supported will be supported in due course.

#### [Model queries](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#model-queries)

- ✅ findUnique
- ✅ findFirst
- ✅ findMany
- ✅ create
- ✅ update
- ✅ delete
- ✅ createMany
- ✅ updateMany
- ✅ deleteMany
- ◻️ upsert
- ◻️ count
- ◻️ aggregate
- ◻️ groupBy

#### [Model query options](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#model-query-options)

- ✅ select
- ✅ where
- ✅ orderBy
- ◻️ include
- ◻️ distinct

#### [Nested queries](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#nested-queries)

- ◻️ create
- ◻️ createMany
- ◻️ set
- ◻️ connect
- ◻️ connectOrCreate
- ◻️ disconnect
- ◻️ update
- ◻️ upsert
- ◻️ delete
- ◻️ updateMany
- ◻️ deleteMany


#### [Filter conditions and operators](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#filter-conditions-and-operators)

- ✅ equals
- ✅ not
- ✅ in
- ✅ notIn
- ✅ lt
- ✅ lte
- ✅ gt
- ✅ gte
- ✅ contains
- ✅ search
- ✅ mode
- ✅ startsWith
- ✅ endsWith
- ✅ AND
- ✅ OR
- ✅ NOT

#### [Relation filters](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#relation-filters)

- ◻️ some
- ◻️ every
- ◻️ none
- ◻️ is
- ◻️ isNot


#### [Scalar list methods](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#scalar-list-methods)

- ◻️ set
- ◻️ push
- ◻️ unset


#### [Scalar list filters](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#scalar-list-filters)

- ✅ has
- ✅ hasEvery
- ✅ hasSome
- ✅ isEmpty
- ✅ equals


#### [Atomic number operations](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#atomic-number-operations)

- ◻️ increment
- ◻️ decrement
- ◻️ multiply
- ◻️ divide
- ◻️ set


#### [JSON filters](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#json-filters)

- ◻️ path
- ◻️ string_contains
- ◻️ string_starts_with
- ◻️ string_ends_with
- ◻️ array_contains
- ◻️ array_starts_with
- ◻️ array_ends_with


#### [Client methods](https://www.prisma.io/docs/reference/api-reference/prisma-client-reference#client-methods)

- ◻️ $disconnect()
- ◻️ $connect()
- ◻️ $on()
- ◻️ $use()
- ◻️ $executeRaw()
- ◻️ $queryRaw()
- ◻️ $runCommandRaw()
- ◻️ $transaction()
